Summary: Tool calculating information related to grid job scheduling
Name: dynsched-generic
Version: 2.5.3
Release: 2%{?dist}%{!?dist:.el5}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: noarch
Obsoletes: lcg-info-dynamic-scheduler-generic
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz


%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%description
This is a program that calculates information related to scheduling
grid jobs at a grid site.  The program takes information (provided in a
site-agnostic format) about the current state of the LRMS and scheduler.
Output is in a format compatible with the GIP of gLite.

%prep

%setup -c -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
python setup.py install -O1 --prefix %{buildroot}/usr --install-data %{buildroot}
mkdir -p %{buildroot}/var/tmp/info-dynamic-scheduler-generic
mkdir -p %{buildroot}/etc/lrms
#
# Write a partial template for scheduler.conf
# This file can be overwrite manually or with YAIM
#
cat << EOF > %{buildroot}/etc/lrms/scheduler.conf
[Main]
outputformat: both
bdii-configfile: /etc/bdii/bdii.conf
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/lcg-info-dynamic-scheduler
%{python_sitelib}/DynamicSchedulerGeneric/*.py
%{python_sitelib}/DynamicSchedulerGeneric/*.pyc
%{python_sitelib}/DynamicSchedulerGeneric/*.pyo
%if 0%{?el6}
%{python_sitelib}/*.egg-info
%endif
%dir /var/tmp/info-dynamic-scheduler-generic
%config(noreplace) /etc/lrms/scheduler.conf


%preun
rm -rf /var/tmp/info-dynamic-scheduler-generic/*

%triggerin -- bdii
INFOD_SCHED_WRAP=/var/lib/bdii/gip/plugin/glite-info-dynamic-scheduler-wrapper
if [ ! -e ${INFOD_SCHED_WRAP} ] ; then
    cat << EOF > ${INFOD_SCHED_WRAP}
#!/bin/sh -l
/usr/libexec/lcg-info-dynamic-scheduler -c /etc/lrms/scheduler.conf
EOF
    chmod a+x ${INFOD_SCHED_WRAP}

fi

chown ldap.ldap /var/tmp/info-dynamic-scheduler-generic

%triggerun -- bdii
rm -f /var/lib/bdii/gip/plugin/glite-info-dynamic-scheduler-wrapper

%changelog
* Thu Oct 31 2013 CREAM group <cream-support@lists.infn.it> - 2.5.3-2
- New package structure: configuration file and triggers for bdii

* Fri Aug 30 2013 CREAM group <cream-support@lists.infn.it> - 2.5.2-2
- Fixed bug https://issues.infn.it/jira/browse/CREAM-77
- Fixed bug https://issues.infn.it/jira/browse/CREAM-99

* Thu Feb 28 2013 CREAM group <cream-support@lists.infn.it> - 2.5.1-3
- New major release


